<xml></xml>

Saxon API for .NET |

# SchemaValidator Members

SchemaValidator overview

#### Public Instance Properties

ErrorList | List of errors. The caller may supply an empty list before calling Compile; the processor will then populate the list with error information obtained during the schema compilation. Each error will be included as an object of type StaticError. If no error list is supplied by the caller, error information will be written to the standard error stream.
IsLax | The validation mode may be either strict or lax. The default is strict; this property is set to indicate that lax validation is required. With strict validation, validation fails if no element declaration can be located for the outermost element. With lax validation, the absence of an element declaration results in the content being considered valid.

#### Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
Run | Run the validation of the supplied source document, optionally writing the validated document to the supplied destination.
SetDestination | Supply the destination to hold the validated document. If no destination is supplied, the validated document is discarded.
SetSource | Overloaded. Supply the instance document to be validated in the form of a Stream
ToString (inherited from Object) | Returns a String that represents the current Object.

#### Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

#### See Also

SchemaValidator Class | Saxon.Api Namespace